
.popup {
  position: relative;
  /*display: none;*/
}

.popup-backdrop {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.popup-body {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #D2DBF9;
  min-width: 28em;
  min-height: 20em;
  border-radius: 2em;
}

.popup-image {
  width: 100%;
  height: 12em;
  border-top-left-radius: 2em;
  border-top-right-radius: 2em;
  background-image: url('~assets/images/popup-background.png');
  background-size: cover;
  position: relative;
}

.popup-close {
  position: absolute;
  top: -8px;
  right: -12px;
  font-size: 18px;
  padding: 10px 14px;
  border-radius: 50%;
  border: none;
  width: 44px;
  background-color: #929292;
  height: 44px;
  cursor: pointer;
  box-shadow: 0 0 12px rgb(0 0 0 / 40%);
  transition: all 0.2s;
}

.popup-close::before {
  content: "✖";
  position: absolute;
  top: -2px;
  right: -2px;
  border-radius: 50%;
  padding: 10px 14px;
  background-color: #DFDFDF;
}

.popup-close:hover::before {
  background-color: #e6e6e6;
}

.popup-close:active::before {
  top: 0;
  right: 0;
}

.popup-back {
  margin: auto;
  position: absolute;
  left: 8%;
  right: 8%;
  bottom: 2em;
  background-color: #B3C1E8;
  top: 2em;
  border-bottom-left-radius: 1.5em;
  border-bottom-right-radius: 1.5em;
}

.popup-text {
  margin: .5em auto;
  width: 80%;
  position: relative;
  text-align: center;
  font-size: 1.25em;
}

.popup-close-btn {
  padding: .25em 1.5em;
  color: #fff;
  background-color: #04114D;
  border-radius: 1em;
  font-size: 1.2em;
  margin: auto;
  display: block;
  position: relative;
  margin-top: 1em;
  margin-bottom: 2em;
  cursor: pointer;
  transition: all 0.3s;
}

.popup-close-btn:hover {
  background-color: #051766;
  box-shadow: 0 0 4px rgb(0 0 0 / 40%);
}

.popup-close-btn:active {
  background-color: #041149;
}
